## firebird2.1 2.1.3.18185

=== extern/btyacc/Makefile ===
#
# Makefile for BtYacc.
#

VERSION       = 3-0

DEST	      = .

HDRS	      = defs.h mstring.h

CFLAGS	      = -g -Wall -Wstrict-prototypes -Wmissing-prototypes

#LDFLAGS	      = -static

LIBS	      =

CC	      = gcc
LINKER	      = gcc
# LINKER      = cl
# CC	      = cl

MAKEFILE      = Makefile

OBJS	      = closure.o error.o lalr.o lr0.o main.o mkpar.o output.o	\
		mstring.o reader.o readskel.o skeleton.o symtab.o verbose.o warshall.o

PRINT	      = pr -f -l88

PROGRAM	      = btyacc

SRCS	      = closure.c error.c lalr.c lr0.c main.c mkpar.c output.c	\
		mstring.c reader.c readskel.c skeleton.c symtab.c verbose.c warshall.c

OTHERS	      = README README.BYACC \
		Makefile btyaccpa.ske push.skel empty.y skel2c manpage makefile.dos \
		skeleton.c

all:		$(PROGRAM)

$(PROGRAM):     $(OBJS) $(LIBS)
		$(LINKER) $(LDFLAGS) -o $(PROGRAM) $(OBJS) $(LIBS)

clean:;		rm -f $(OBJS)

clobber:;	rm -f $(OBJS) $(PROGRAM)

distclean:;	rm -f $(OBJS) $(PROGRAM) skeleton.c *.zip *.gz

depend:;	mkmf -f $(MAKEFILE) PROGRAM=$(PROGRAM) DEST=$(DEST)

index:;		ctags -wx $(HDRS) $(SRCS)

install:	$(PROGRAM)
		cp $(PROGRAM).exe /bin

oldinstall:	$(PROGRAM)
		@echo Installing $(PROGRAM) in $(DEST)
		install -s $(PROGRAM) $(DEST)

listing:;	$(PRINT) Makefile $(HDRS) $(SRCS) | lpr

lint:;		lint $(SRCS)

program:        $(PROGRAM)

tags:           $(HDRS) $(SRCS)
		ctags $(HDRS) $(SRCS)

dist:		tar zip

tar:
		rm -f btyacc.tar btyacc.tar.gz
		tar cvf btyacc.tar $(OTHERS) $(SRCS) $(HDRS) test/*.y
		gzip -9 btyacc.tar
		mv btyacc.tar.gz btyacc-$(VERSION).tar.gz

zip:
		zip btyacc.zip $(OTHERS) $(SRCS) $(HDRS) test/*.y
		mv btyacc.zip btyacc-$(VERSION).zip

skeleton.c: btyaccpa.ske skel2c
		awk -f skel2c btyaccpa.ske >skeleton.c

etags TAGS:
		etags *.c *.h

###
closure.o: defs.h
error.o: defs.h
lalr.o: defs.h
lr0.o: defs.h
main.o: defs.h
mkpar.o: defs.h
mstring.o: mstring.h
output.o: defs.h
reader.o: defs.h mstring.h
skeleton.o: defs.h
symtab.o: defs.h
verbose.o: defs.h
warshall.o: defs.h

## firebird2.1 2.1.4.18393-0.ds2

=== debian/changelog ===
firebird2.1 (2.1.4.18393-0.ds2-2) unstable; urgency=low

  * apply patch from upstream SVN fixing ICU collations
  * remove lintian overrides about manpages shipped in dependency package
  * claim compliancy with Policy 3.9.2

 -- Damyan Ivanov <dmn@debian.org>  Fri, 22 Apr 2011 18:59:44 +0300

firebird2.1 (2.1.4.18393-0.ds2-1) unstable; urgency=low

  * sourceful upload using the right, pdf-pruned orig tarball
  * bump ds version in the repack script
  * do not register non-existing PDFs with doc-base
  * -common.postrm: remove log on purge.
    Closes: #618883 -- unowned files after purge (policy 6.8, 10.8)
    Thanks to Holger Levsen for the reminder.
  * replace dk_clean -k with dh_prep
  * bump debhelper compatibility level to 7

 -- Damyan Ivanov <dmn@debian.org>  Sun, 20 Mar 2011 09:49:32 +0200

firebird2.1 (2.1.4.18393-0.ds1-1) unstable; urgency=low

  * Official 2.1.4 bugfix release

  * repack: drop source-less PDFs
  * mention repackaging in README.source
  * add svn/gcc-4.5.patch from upstream SVN fixing FTBFS with gcc 4.5
    (Closes: #615674)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 16 Mar 2011 14:12:36 +0200

firebird2.1 (2.1.4.18393-0~rc1.ds1-4) unstable; urgency=low

  * drop remnant of the -2 s390 patch, causing FTBFS

 -- Damyan Ivanov <dmn@debian.org>  Sat, 12 Feb 2011 21:45:36 +0200

firebird2.1 (2.1.4.18393-0~rc1.ds1-3) unstable; urgency=low

  * rules: drop extra -DTERMINATE_LOCK_MANAGER from CxxFLAGS
  * really fix s390 build by enabling the lock manager in configure.in

 -- Damyan Ivanov <dmn@debian.org>  Sat, 12 Feb 2011 15:22:40 +0200

firebird2.1 (2.1.4.18393-0~rc1.ds1-2) unstable; urgency=low

  * add fb_lock_mgr to classic targets on s390
  * remove Daniel Urban from Uploaders:
  * drop alternative dependency on cdebconf

 -- Damyan Ivanov <dmn@debian.org>  Fri, 11 Feb 2011 20:58:10 +0200

firebird2.1 (2.1.4.18393-0~rc1.ds1-1) unstable; urgency=low

  * New upstream bugfix release candidate

  * silence doc symlink creation
  * fix the check for update-inetd presense
  * write a real manual page for gpre
  * control: drop (alternative) dependency on cdebconf
  * watch: look for prereleases
  * update debian/copyright (nothing drastic)
  * patchworks
   + rename mcpu-to-mttune to march-i486.patch now the name reflects the
     content
   + do not redundantly include make.platform in Makefile.in.firebird
   + remove -pthread from ibutil (they use none of its symbols)
   + adapt fix-mipseb-detect.patch and no-rpath.patch to the new prerelease
   + drop merged/no longer needed port-s390, port-sh4 and use-libedit patched
   + refresh the rest to apply cleanly
   + adopt "quilt (3.0)" source format
    - remove quilt from debian/rules and build-dependencies

 -- Damyan Ivanov <dmn@debian.org>  Tue, 08 Feb 2011 17:50:35 +0200

firebird2.1 (2.1.3.18185-0.ds1-11) unstable; urgency=low

  * all .postinst: add db_stop at the end
    this hopefuly solves an hardly reproducible hang during configuration
    (LP: #566710)
  * all .init: do not fail miserably if no argument is supplied.
    Closes: #578470 -- /etc/init.d/firebird2.1-{classic,super}: 1: parameter
    not set; Thanks to Nelson A. de Oliveira
  * Standards-Version: 3.9.1 (no changes necessary)
  * control: stop conflicting with packages not in Lenny
  * control: server packages also provide firebird-utils

 -- Damyan Ivanov <dmn@debian.org>  Wed, 04 Aug 2010 15:56:01 +0300

firebird2.1 (2.1.3.18185-0.ds1-10) unstable; urgency=low

  * add Danish translation of debconf templates
    Thanks to Joe Dalton. Closes: #587812

 -- Damyan Ivanov <dmn@debian.org>  Sat, 03 Jul 2010 09:51:04 +0300

firebird2.1 (2.1.3.18185-0.ds1-9) unstable; urgency=low

  * add powerpc-no-mcpu.patch fixing miscompile on powerpcspe Thanks to
    Sebastian Andrzej Siewior (Closes: #586253)
  * override lintian warning about -common-doc being an empty package
  * debconf-updatepo refreshed all .po files

 -- Damyan Ivanov <dmn@debian.org>  Fri, 18 Jun 2010 00:25:19 +0300

firebird2.1 (2.1.3.18185-0.ds1-8) unstable; urgency=high

  * add libib-util to server packages' Recommends.
    Closes: #524052 -- Home made UDF cannot use libib_utils.so
  * *.postrm: protect db_input calls with '|| true'
    Closes: #574222, #574226 (purge fails with noninteractive debconf frontend and
    critical priority)
    + high urgency for fixing serious bugs

 -- Damyan Ivanov <dmn@debian.org>  Wed, 17 Mar 2010 18:13:31 +0200

firebird2.1 (2.1.3.18185-0.ds1-7) unstable; urgency=low

  * Remove Francesco from Uploaders with his permission.
  * Stop generating libfbclient2 binary package (now provided by firebird2.5
    source)
    - add libfbclient2 to build-dependencies
  * Fix several typos in gbak and isql-fb manpages (thanks, lintian)
  * -classic.postrm: fix removal of the inetd service
  * drop lock-file-location.patch and use a wrapper around all binaries which
    sets FIREBIRD and FIREBIRD_LOCK variables
    Closes: #567948 -- firebird2.1-super: won't start due to missing
                       /tmp/firebird/run
  * -super.init: drop trailing periods from lsb messages
  * drop ancient NEWS.Debian
  * fix a typo in isql-fb manual page
  * Standards-Version: 3.8.4 (no changes necessary)
  * override lintian warnings about unused-debconf-template whic are used via
    variables

 -- Damyan Ivanov <dmn@debian.org>  Wed, 24 Feb 2010 11:27:40 +0200

firebird2.1 (2.1.3.18185-0.ds1-6) unstable; urgency=low

  * port-s390.patch: add missing LOCK_MANAGER_FLG=Y to the configure.in stanza

 -- Damyan Ivanov <dmn@debian.org>  Tue, 20 Oct 2009 10:40:44 +0300

firebird2.1 (2.1.3.18185-0.ds1-5) unstable; urgency=low

  * fix xdr.cpp part of port-s390.patch to properly detect s390
    Closes: #550342

 -- Damyan Ivanov <dmn@debian.org>  Mon, 19 Oct 2009 09:51:17 +0300

firebird2.1 (2.1.3.18185-0.ds1-4) unstable; urgency=low

  * fix port-s390.patch to add prefix.linux_s390x in the right directory. Third
    time for luck.



=== debian/control ===
Source: firebird2.1
Section: database
Priority: optional
Maintainer: Debian Firebird Group <pkg-firebird-general@lists.alioth.debian.org>
Uploaders: Damyan Ivanov <dmn@debian.org>
Build-Depends: debhelper (>= 7), docbook-to-man, bison,
 libicu-dev, libedit-dev, libfbclient2, po-debconf,
 gawk, autoconf, libtool, automake, perl
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-firebird/2.1.git
Vcs-Browser: http://git.debian.org/?p=pkg-firebird/2.1.git;a=summary
Homepage: http://firebirdsql.org/

Package: firebird2.1-super
Architecture: any
Provides: firebird-server, firebird-utils
Conflicts: firebird-server, firebird2.0-classic, firebird2.0-super,
 firebird-utils
Depends: ${shlibs:Depends}, firebird2.1-common (= ${binary:Version}),
 firebird2.1-server-common (= ${binary:Version}),
 lsb-base, ${misc:Depends}, debconf (>= 1.4.69),
 firebird2.1-common-doc (= ${source:Version})
Recommends: libib-util
Suggests: firebird2.1-doc
Description: Firebird Super Server - an RDBMS based on InterBase 6.0 code
 Firebird is a relational database offering many ANSI SQL-99 features that
 runs on Linux, Windows, and a variety of Unix platforms. Firebird offers
 excellent concurrency, high performance, and powerful language support
 for stored procedures and triggers. It has been used on production systems
 under a variety of names since 1981.
 .
 The "super" architecture uses separate threads to handle each connection.
 It has its advantages (eg: is usually faster and more efficient for large
 numbers of clients) but is unable to use more that one CPU on an SMP
 system and under some circumstances a client may crash all server threads.
 .
 This package contains the 2.1 branch of Firebird.
 .
 Firebird is a commercially independent project of C and C++ programmers,
 technical advisors and supporters developing and enhancing a multi-platform
 relational database management system based on the source code released by
 Inprise Corp (now known as Borland Software Corp) under the InterBase Public
 License v.1.0 on 25 July, 2000.

Package: firebird2.1-classic
Architecture: any
Provides: firebird-server, firebird-utils
Conflicts: firebird-server, firebird2.0-super, firebird2.0-classic,
 firebird-utils
Depends: ${shlibs:Depends}, firebird2.1-common (= ${binary:Version}), netbase,
 firebird2.1-server-common (= ${binary:Version}),
 openbsd-inetd | inet-superserver, ${misc:Depends},
 debconf (>= 1.4.69),
 firebird2.1-common-doc (= ${source:Version})
Recommends: libib-util
Suggests: firebird2.1-doc
Description: Firebird Classic Server - an RDBMS based on InterBase 6.0 code
 Firebird is a relational database offering many ANSI SQL-99 features that
 runs on Linux, Windows, and a variety of Unix platforms. Firebird offers
 excellent concurrency, high performance, and powerful language support
 for stored procedures and triggers. It has been used on production systems
 under a variety of names since 1981.
 .
 The "classic" architecture uses a new process to handle each connection
 which results in somewhat slower operation (but is said to be faster
 than "super" on local connections) yet can take advantage of multiple
 CPUs on SMP machines. This is the "traditional" architecture.
 .
 This package contains the 2.1 branch of Firebird.
 .
 Firebird is a commercially independent project of C and C++ programmers,
 technical advisors and supporters developing and enhancing a multi-platform
 relational database management system based on the source code released by
 Inprise Corp (now known as Borland Software Corp) under the InterBase Public
 License v.1.0 on 25 July, 2000.

Package: libfbembed2.1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, firebird2.1-common (= ${binary:Version}),
 firebird2.1-server-common (= ${binary:Version}), ${misc:Depends},
 firebird2.1-common-doc (= ${source:Version})
Description: Firebird embedded client/server library
 Firebird is a relational database offering many ANSI SQL-99 features that
 runs on Linux, Windows, and a variety of Unix platforms. Firebird offers
 excellent concurrency, high performance, and powerful language support
 for stored procedures and triggers. It has been used on production systems
 under a variety of names since 1981.
 .
 This package contains libfbembed - the embedded client/server library for
 Firebird.
 .
 It can work with remote Firebird servers (either super-server or classic) via
 TCP connections, in the same way libfbclient does.
 .
 Contrary to libfbclient, libfbembed is not thread-safe.
 .
 When working with local database libfbembed works directly with the database
 file without the need of a separate server process. It needs a separate lock
 manager -- fb_lock_mgr -- which is in firebird2.1-classic package.
 .
 If you are in doubt, you most probably need libfbclient2, instead of this
 package.

Package: firebird2.1-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 firebird2.1-common-doc (= ${source:Version})
Description: common files for firebird 2.1 servers and clients
 Firebird is a relational database offering many ANSI SQL-99 features that
 runs on Linux, Windows, and a variety of Unix platforms. Firebird offers
 excellent concurrency, high performance, and powerful language support
 for stored procedures and triggers. It has been used on production systems
 under a variety of names since 1981.
 .
 This package contains files common to both servers and clients for both super
 and classic flavours.
 .
 These include the message file (firebird.msg), support scripts as well as
 configuration files in /etc/firebird/2.1.
 .
 Please refer to the firebird2.1-super or firebird2.1-classic packages for more
 information about Firebird in general.

Package: firebird2.1-server-common
Architecture: any
Depends: adduser, ${misc:Depends},
 firebird2.1-common-doc (= ${source:Version})
Conflicts: firebird2.0-server-common
Description: common files for firebird 2.1 servers
 This package contains files common to super and classic Firebird servers.
 .
 These include the security database, manual pages, support scripts as well as
 configuration files in /etc/firebird/2.1.
 .
 Please refer to the firebird2.1-super or firebird2.1-classic packages for more
 information about Firebird in general.

Package: firebird2.1-dev
Section: libdevel
Architecture: all
Conflicts: firebird2.0-dev
Depends: libfbclient2 (>= 2.1), ${misc:Depends},
 firebird2.1-common-doc (= ${source:Version})
Suggests: libfbembed2.1, firebird2.1-examples
Description: Development files for Firebird - an RDBMS based on InterBase 6.0 code
 This package contains header files for Firebird.
 .
 Please refer to the firebird2.1-super and firebird2.1-classic packages for
 more information about Firebird in general.

Package: firebird2.1-examples
Section: doc
Architecture: all
Depends: ${misc:Depends},
 firebird2.1-common-doc (= ${source:Version})
Recommends: firebird2.1-dev
Description: Examples for Firebird - an RDBMS based on InterBase 6.0 code
 The examples included in this package are provided as samples and are also
 used by Firebird's testing suite (TCS). The examples are in the form
 of .h, .c, .e, .fdb and .gbk files.
 .
 Please refer to the firebird2.1-super and firebird2.1-classic packages for
 more information about Firebird in general.

Package: firebird2.1-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
 firebird2.1-common-doc (= ${source:Version})
Description: Documentation files for firebird database version 2.1
 Various documents for firebird 2.1. These include the release notes, what's
 new in firebird 2.1, quick start guide, upgrade guide, list of ISQL
 enhancements etc.

Package: firebird2.1-common-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: copyright, licensing and changelogs of firebird2.1
 This package contains the copyright and licensing information of firebird2.1,
 as well as the upstream changelog.
 .
 Due to the size of the upstream change log and copyright/licensing summary,
 keeping them in a separate package saves space on mirrors and when installing
 firebird2.1 packages.
 .
 Please refer to the firebird2.1-super or firebird2.1-classic packages for more
 information about Firebird database in general.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

FB_MAJOR:= $(shell awk '/FB_MAJOR_VER/ { v=$$3; gsub("\"", "", v); print v}' < src/jrd/build_no.h )
FB_MINOR:= $(shell awk '/FB_MINOR_VER/ { v=$$3; gsub("\"", "", v); print v}' < src/jrd/build_no.h )
FB_REV	:= $(shell awk '/FB_REV_NO/    { v=$$3; gsub("\"", "", v); print v}' < src/jrd/build_no.h )
FB_VER	:= $(FB_MAJOR).$(FB_MINOR)
FB_FULL_VER:= $(FB_VER).$(FB_REV)

EMBED_SOVER=$(FB_VER)
CLIENT_SOVER=$(FB_MAJOR)

ifndef FB_MAJOR
$(error FB_MAJOR not defined)
else ifndef FB_MINOR
$(error FB_MINOR not defined)
else ifndef FB_REV
$(error FB_REV not defined)
else ifndef FB_VER
$(error FB_VER not defined)
else ifndef FB_FULL_VER
$(error FB_FULL_VER not defined)
else ifndef EMBED_SOVER
$(error EMBED_SOVER not defined)
else ifndef CLIENT_SOVER
$(error CLIENT_SOVER not defined)
endif

# Currently firebird builds fine with current gcc version (4.3.3) after
# applying deprecated-charp-conversion.patch
# Those lines are here for future tweaking if needed.
#export CC=gcc-4.3
#export CXX=g++-4.3
#export CPP=cpp-4.3
#export CXXPP=cpp-4.3


export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build $(DEB_HOST_GNU_TYPE)
else
	confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

confflags += --disable-static --disable-rpath --with-gpre-cobol --with-system-icu --with-system-editline --prefix=/usr/lib/firebird/$(FB_VER)

# This causes the lock manager that is started during the build
# to terminate after some idle time, avoiding leaving stale
# processes on buildds
CFLAGS		+= -Werror=write-strings
CXXFLAGS	+= -Werror=write-strings
export CFLAGS CXXFLAGS

# We're building 2 flavours resulting in 9 binary packages:
# * Super server
#   -super
# * Classic server
#   -classic
#   libfbembed2
# * Common
#   -common
#   -server-common
#   -dev
#   -examples
#   -doc

autogen: autogen-stamp
autogen-stamp:
	NOCONFIGURE=1 sh autogen.sh
	touch $@

.PHONY: configure-super
configure-super: configure-super-stamp
configure-super-stamp: autogen-stamp
	echo Starting configure architecture SuperServer
	dh_testdir

	-sh debian/clean-after-build.sh

	chmod u+x ./configure
	./configure $(confflags) --enable-superserver

	touch $@

.PHONY: configure-classic
configure-classic: configure-classic-stamp
configure-classic-stamp: autogen-stamp build-super-stamp
	echo Starting configure architecture ClassicServer
	dh_testdir

	-sh debian/clean-after-build.sh

	chmod u+x ./configure
	./configure $(confflags)

	touch $@

.PHONY: build
build: build-stamp
build-stamp: build-manuals build-super-stamp build-classic-stamp
	touch $@

MANUALS_BASE = isql-fb fbmgr gbak gdef gfix gpre gsec fbstat qli nbackup
MANUALS = $(addprefix debian/,$(addsuffix .1,$(MANUALS_BASE)))

.PHONY: build-manuals
build-manuals: $(MANUALS)

%.1 : %.pod
	pod2man -c "Firebird documentation" --release "Firebird 2.1"  $< > $@


%.1 : %.sgml
	docbook-to-man $< > $@

.PHONY: build-super
build-super: build-super-stamp
build-super-stamp: configure-super-stamp
	echo Starting build-super-server
	dh_testdir
	$(MAKE) -j1

	# moving to SuperServer target
	rm -rf ./debian/firebird-super
	mv ./gen/firebird ./debian/firebird-super
	mv ./gen/install ./debian/firebird-super/

	touch $@

.PHONY: build-classic
build-classic: build-classic-stamp
build-classic-stamp: configure-classic-stamp
	echo Starting build-classic-server
	dh_testdir
	$(MAKE) -j1

	# moving to ClassicServer target
	rm -rf ./debian/firebird-classic
	mv ./gen/firebird ./debian/firebird-classic

	touch $@

.PHONY: clean
clean:
	dh_testdir
	dh_testroot
	
	sh debian/clean-after-build.sh
	
	rm -f $(MANUALS)
	
	rm -f 	build-stamp build-classic-stamp configure-classic-stamp \
		build-super-stamp configure-super-stamp autogen-stamp
	
	# re-generated in autogen target
	rm -f builds/make.new/config/config.guess	\
	      builds/make.new/config/config.h.in	\
	      builds/make.new/config/ltmain.sh		\
	      aclocal.m4				\
	      configure
	
	rm -rf	debian/firebird-super \
		debian/firebird-classic
	
	debconf-updatepo
	
	# We don't need these in the .diff, they are copies
	rm -f debian/firebird$(FB_VER)-super.templates \
	      debian/firebird$(FB_VER)-classic.templates \
	      debian/firebird$(FB_VER)-super.config \
	      debian/firebird$(FB_VER)-classic.config
	
	dh_clean
	
	@echo FB_MAJOR = $(FB_MAJOR)
	@echo FB_MINOR = $(FB_MINOR)
	@echo FB_REV   = $(FB_REV)
	@echo FB_VER   = $(FB_VER)
	@echo FB_FULL_VER = $(FB_FULL_VER)
	@echo EMBED_SOVER = $(EMBED_SOVER)
	@echo CLIENT_SOVER= $(CLIENT_SOVER)

.PHONY: install
install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	sh debian/make_packages.sh

	cp -a debian/server-templates.master \
	      debian/firebird$(FB_VER)-super.templates

	cp -a debian/server-templates.master \
	      debian/firebird$(FB_VER)-classic.templates

	cp -a debian/server-config.master \
	      debian/firebird$(FB_VER)-super.config

	cp -a debian/server-config.master \
	      debian/firebird$(FB_VER)-classic.config

.PHONY: binary-indep
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -p firebird$(FB_VER)-common-doc
	dh_installdocs -Xchangelog -Xcopyright -p firebird$(FB_VER)-doc
	dh_installman -i
	dh_installexamples -i
	dh_lintian -i
	dh_installlogrotate -i --name firebird$(FB_VER)
	dh_installchangelogs ChangeLog -p firebird$(FB_VER)-common-doc
	dh_link -i
	dh_compress -i
	dh_fixperms -i

	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i


.PHONY: binary-arch
# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdebconf -a
	dh_installexamples -a
	dh_lintian -a
	dh_installmenu -a
	dh_installinit -pfirebird$(FB_VER)-super
	# classic's doesn't need stop rc.d links
	dh_installinit -pfirebird$(FB_VER)-classic -u'start 20 2 3 4 5 .'
	dh_installcron -a
	dh_installman -a
	dh_installinfo -a
	dh_installlogrotate -a --name firebird$(FB_VER)
	dh_strip -a
	dh_link -a -A
	dh_compress -a
	dh_fixperms -a

	dpkg-gensymbols -plibfbembed$(EMBED_SOVER) -Pdebian/libfbembed$(EMBED_SOVER)
	dh_makeshlibs -p libfbembed$(EMBED_SOVER) -V'libfbembed$(EMBED_SOVER) (>= $(FB_FULL_VER))'

	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

.PHONY: binary
binary: binary-indep binary-arch

.PHONY: get-orig-source
get-orig-source:
	uscan

=== debian/watch ===
# watch control file for uscan
# you can run the "uscan" command
# to check for upstream updates and more.
# Full-site-with-pattern  [Version  [Action]]

version=3
opts="dversionmangle=s/(?:\.ds\d+)$//,uversionmangle=s/[-.](?=\D)/~/g;s/./\l$&/g" \
  http://www.firebirdsql.org/download/prerelease/source/ \
  .*Firebird-(2\.1\..+)\.tar\.bz2 debian sh debian/repack.sh
opts="dversionmangle=s/~((rc|alpha|beta)\d+)/-$1/;s/\.ds\d+//,uversionmangle=s/\.17910-0$/.17910-release/" \
  http://sf.net/firebird/[Ff]irebird-(2\.1\..*).tar.bz2 debian debian/repack.sh

## firebird2.1 2.1.5.18496-0.ds2

=== debian/changelog ===
firebird2.1 (2.1.5.18496-0.ds2-1) unstable; urgency=low

  * Official 2.1.5 upstream release
   + The only change is the addition of config.sub file

  * Update copyright information about config.sub
  * honour-buildflags.patch: add CXXFLAGS when compiling makeHeader
    (intermediate binary used only during build). This makes blhc silent.

 -- Damyan Ivanov <dmn@debian.org>  Wed, 27 Jun 2012 09:22:56 +0300

firebird2.1 (2.1.5~svn+54537.ds2-1) unstable; urgency=low

  * New snapshot from upstream 2.1 release branch, r54537
    + More fixes for CORE-3557 (segfault in engine when preparing query
      against dropped table)

  * -server-common/purge: remove directories only if they exist. Fixes
    piuparts failure. Closes: #673757
  * add patches allowing using hardenning flags
  * override false lintian positives about hardenning
  * Drop transitional firebird2.1-dev package (no more reverse build
    dependencies)

 -- Damyan Ivanov <dmn@debian.org>  Sat, 26 May 2012 19:24:27 +0300

firebird2.1 (2.1.5~svn+54475.ds2-2) unstable; urgency=low

  * revert "drop -common-doc dependency from firebird2.1-dev"
  * Standards-Version: 3.9.3 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Sun, 13 May 2012 16:39:53 +0300

firebird2.1 (2.1.5~svn+54475.ds2-1) unstable; urgency=low

  * repack.sh: handle xz-compressed tarballs too
  * repack.sh: produce xz-compressed tarball
  * do not abort on non-existing files when cleaning upstream tree
  * add script for packaging snapshots from upstream SVN

  * New snapshot from upstream 2.1 release branch, r54475
    Contains a total of 63 fixes and improvementssince 2.1.4 release. See
    /usr/share/doc/firebird2.1-common-doc/doc/WhatsNew.gz for details.
    Two changes aren't documented there:
    + CORE-3802: Firebird runs out of memory while restoring database backup
    + CORE-3807: Error "Invalid expression in the select list" can be
      unexpectedly raised if a string literal is used inside a GROUP BY clause
      in a multi-byte connection
  * drop four patches included upstream
  * refresh patches to apply cleanly
  * embed.shlibs: allow for snapshot/backported versions
  * -super.init: unset ISC_USER/ISC_PASSWORD to ensure clean startup
    environment
  * -server-common.postrm: fix removing of rundir when /var/run is a symlink.
    see #667067
  * remove /var/run/firebird/$VER/system and its parents up to /var/lib on purge
  * compress binary packages with xz
  * -classic.init: implement status option
  * drop -common-doc dependency from firebird2.1-dev
  * add a patch fixing compilation with gcc 4.7

 -- Damyan Ivanov <dmn@debian.org>  Sat, 12 May 2012 22:26:11 +0300

firebird2.1 (2.1.4.18393-0.ds2-7) unstable; urgency=medium

  * Medium urgency due to fixing a serious bug

  * -server-common.postrm: fix --ignore-fail-on-non-empty option to rmdir
    (Closes: #660592)

 -- Damyan Ivanov <dmn@debian.org>  Mon, 20 Feb 2012 10:44:49 +0200

firebird2.1 (2.1.4.18393-0.ds2-6) unstable; urgency=low

  * do not fail creating existing firebird user (LP#695088)
  * do not ship libib_util.so in the private library directory
    instead, rely on the recommended libib-util package
  * fix typo in French debconf translation (SYSBDA → SYSDBA)
  * server-config: add explicit db_stop

 -- Damyan Ivanov <dmn@debian.org>  Tue, 13 Sep 2011 23:04:23 +0300

firebird2.1 (2.1.4.18393-0.ds2-5) unstable; urgency=low

  * server-common.postrm: remove $RUN on removal
  * functions: do not create $RUN in postinst, init scripts will take care of
    that

 -- Damyan Ivanov <dmn@debian.org>  Tue, 13 Sep 2011 11:14:36 +0300

firebird2.1 (2.1.4.18393-0.ds2-4) unstable; urgency=low

  * make firebird2.1-dev a transitional package depending on firebird-dev
  * copyright: point to GPL-N for "version N or later" licenses
  * install fbintl with .so extension and not executable
  * drop lintian overrides about -common-doc by rewording the description

 -- Damyan Ivanov <dmn@debian.org>  Mon, 12 Sep 2011 16:33:32 +0300

firebird2.1 (2.1.4.18393-0.ds2-3) unstable; urgency=low

  * firebird2.1-dev: adapt to multi-arch libfbclient2
    +(build-)depend on multi-arch libfbclient2
    + Arch: any (symlink in arch-dep) directory
    + symlinks in multi-arch directory (Closes: #641137)
  * rules: provide build-arch and build-indep targets

 -- Damyan Ivanov <dmn@debian.org>  Sun, 11 Sep 2011 10:18:32 +0300

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Debian Firebird Group <pkg-firebird-general@lists.alioth.debian.org>
 Uploaders: Damyan Ivanov <dmn@debian.org>
-Build-Depends: debhelper (>= 7), docbook-to-man, bison,
- libicu-dev, libedit-dev, libfbclient2, po-debconf,
+Build-Depends: debhelper (>= 7), docbook-to-man, bison, dpkg-dev (>= 1.16.1~),
+ libicu-dev, libedit-dev, libfbclient2 (>= 2.5.1.26349-0~rc1.ds4-1~),
+ po-debconf,
  gawk, autoconf, libtool, automake, perl
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/pkg-firebird/2.1.git
 Vcs-Browser: http://git.debian.org/?p=pkg-firebird/2.1.git;a=summary
 Homepage: http://firebirdsql.org/
@@ -137,25 +138,12 @@
  Please refer to the firebird2.1-super or firebird2.1-classic packages for more
  information about Firebird in general.
 
-Package: firebird2.1-dev
-Section: libdevel
-Architecture: all
-Conflicts: firebird2.0-dev
-Depends: libfbclient2 (>= 2.1), ${misc:Depends},
- firebird2.1-common-doc (= ${source:Version})
-Suggests: libfbembed2.1, firebird2.1-examples
-Description: Development files for Firebird - an RDBMS based on InterBase 6.0 code
- This package contains header files for Firebird.
- .
- Please refer to the firebird2.1-super and firebird2.1-classic packages for
- more information about Firebird in general.
-
 Package: firebird2.1-examples
 Section: doc
 Architecture: all
 Depends: ${misc:Depends},
  firebird2.1-common-doc (= ${source:Version})
-Recommends: firebird2.1-dev
+Recommends: firebird-dev
 Description: Examples for Firebird - an RDBMS based on InterBase 6.0 code
  The examples included in this package are provided as samples and are also
  used by Firebird's testing suite (TCS). The examples are in the form
@@ -179,8 +167,8 @@
 Architecture: all
 Depends: ${misc:Depends}
 Description: copyright, licensing and changelogs of firebird2.1
- This package contains the copyright and licensing information of firebird2.1,
- as well as the upstream changelog.
+ This is an (otherwise) empty package contains the copyright and licensing
+ information of firebird2.1, as well as the upstream changelog.
  .
  Due to the size of the upstream change log and copyright/licensing summary,
  keeping them in a separate package saves space on mirrors and when installing

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # Uncomment this to turn on verbose mode. 
 #export DH_VERBOSE=1
+
+export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 FB_MAJOR:= $(shell awk '/FB_MAJOR_VER/ { v=$$3; gsub("\"", "", v); print v}' < src/jrd/build_no.h )
 FB_MINOR:= $(shell awk '/FB_MINOR_VER/ { v=$$3; gsub("\"", "", v); print v}' < src/jrd/build_no.h )
@@ -46,14 +48,14 @@
 	confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 endif
 
-confflags += --disable-static --disable-rpath --with-gpre-cobol --with-system-icu --with-system-editline --prefix=/usr/lib/firebird/$(FB_VER)
-
-# This causes the lock manager that is started during the build
-# to terminate after some idle time, avoiding leaving stale
-# processes on buildds
+confflags += --disable-static --disable-rpath --with-gpre-cobol			    \
+    --with-system-icu --with-system-editline --prefix=/usr/lib/firebird/$(FB_VER)   \
+    $(shell dpkg-buildflags --export=configure)
+
+export DPKG_EXPORT_BUILDFLAGS=1
+include /usr/share/dpkg/buildflags.mk
 CFLAGS		+= -Werror=write-strings
 CXXFLAGS	+= -Werror=write-strings
-export CFLAGS CXXFLAGS
 
 # We're building 2 flavours resulting in 9 binary packages:
 # * Super server
@@ -99,9 +101,14 @@
 
 	touch $@
 
-.PHONY: build
-build: build-stamp
-build-stamp: build-manuals build-super-stamp build-classic-stamp
+.PHONY: build build-arch build-indep
+build: build-arch build-indep
+
+build-arch: build-stamp
+
+build-indep: build-manuals
+
+build-stamp: build-super-stamp build-classic-stamp
 	touch $@
 
 MANUALS_BASE = isql-fb fbmgr gbak gdef gfix gpre gsec fbstat qli nbackup
@@ -224,7 +231,7 @@
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i
-	dh_builddeb -i
+	dh_builddeb -i -- -Zxz
 
 
 .PHONY: binary-arch
@@ -249,13 +256,13 @@
 	dh_fixperms -a
 
 	dpkg-gensymbols -plibfbembed$(EMBED_SOVER) -Pdebian/libfbembed$(EMBED_SOVER)
-	dh_makeshlibs -p libfbembed$(EMBED_SOVER) -V'libfbembed$(EMBED_SOVER) (>= $(FB_FULL_VER))'
+	dh_makeshlibs -p libfbembed$(EMBED_SOVER) -V'libfbembed$(EMBED_SOVER) (>= $(FB_FULL_VER)~)'
 
 	dh_installdeb -a
 	dh_shlibdeps -a
 	dh_gencontrol -a
 	dh_md5sums -a
-	dh_builddeb -a
+	dh_builddeb -a -- -Zxz
 
 .PHONY: binary
 binary: binary-indep binary-arch
